# SDKN
Python implementation of the Structured Deep Kernel Networks (SDKN). 


## Usage:
The SDKN is implemented based on pytorch. 
- The file main_sdkn_vs_nn.py compares the SDKN with NN on some toy example.
- The files main_lightning_NN.py and main_lightning_SDKN.py provide implementations of a NN and SDKN using pytorch-lightning.

In order to set up the venv, run ./setup.sh (maybe run 'chmod +x setup.sh' before).



## How to cite:
If you use this code in your work, please cite the paper

> T. Wenzel and G. Santin and B. Haasdonk, [_Universality and Optimality of Structured Deep Kernel Networks_](https://arxiv.org/abs/2105.07228), ArXiv preprint 2105.07228 (2021).

```bibtex:
@article{wenzel2021universality,
      title={Universality and {O}ptimality of {S}tructured {D}eep {K}ernel {N}etworks}, 
      author={Tizian Wenzel and Gabriele Santin and Bernard Haasdonk},
      journal={ArXiv},
      year={2021},
      type = {ArXiv},
      number = {2105.07228},
      url = {https://arxiv.org/abs/2105.07228},
      note={Submitted}
}
```

For further details of SDKNs and its applications, please refer to the following papers:

> T. Wenzel and G. Santin and B. Haasdonk, [_Structured Deep Kernel Networks for Data-Driven Closure Terms of Turbulent Flows_](https://arxiv.org/abs/2103.13655), ArXiv preprint 2103.13655 (2021).


## How to view the tensorboard logs:

In order to view tb_logs:
- tensorboard --logdir=path_to_dir
